Uploaded image for project: 'Python Driver'
  1. Python Driver
  2. PYTHON-2270

Test failure - test_encryption.TestSpec.test_spec_explain_Explain_a_find_with_deterministic_encryption

    • Type: Icon: Task Task
    • Resolution: Gone away
    • Priority: Icon: Major - P3 Major - P3
    • None
    • Affects Version/s: None
    • Component/s: Tests
    • Labels:
      None

      Started failing on windows latest:

      ERROR [0.112s]: test_spec_explain_Explain_a_find_with_deterministic_encryption (test_encryption.TestSpec)
      ----------------------------------------------------------------------
       Traceback (most recent call last):
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\encryption.py", line 73, in _wrap_encryption_errors
           yield
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\encryption.py", line 273, in encrypt
           encrypted_cmd = self._auto_encrypter.encrypt(database, encoded_cmd)
         File "C:\python\Python38\lib\site-packages\pymongocrypt\auto_encrypter.py", line 44, in encrypt
           return run_state_machine(ctx, self.callback)
         File "C:\python\Python38\lib\site-packages\pymongocrypt\state_machine.py", line 139, in run_state_machine
           result = callback.mark_command(ctx.database, mongocryptd_cmd)
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\encryption.py", line 168, in mark_command
           res = self.mongocryptd_client[database].command(
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\database.py", line 738, in command
           return self._command(sock_info, command, slave_ok, value,
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\database.py", line 626, in _command
           return sock_info.command(
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\pool.py", line 633, in command
           return command(self.sock, dbname, spec, slave_ok,
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\network.py", line 150, in command
           helpers._check_command_response(
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\helpers.py", line 161, in _check_command_response
           raise OperationFailure(msg % errmsg, code, response)
       pymongo.errors.OperationFailure: Unrecognized field 'jsonSchema'. This command may be meant for a mongocryptd process.
       
       During handling of the above exception, another exception occurred:
       
       Traceback (most recent call last):
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\test\__init__.py", line 447, in wrap
           return f(*args, **kwargs)
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\test\__init__.py", line 447, in wrap
           return f(*args, **kwargs)
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\test\test_encryption.py", line 538, in run_scenario
           self.run_scenario(scenario_def, test)
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\test\utils_spec_runner.py", line 584, in run_scenario
           self.run_test_ops(sessions, collection, test)
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\test\utils_spec_runner.py", line 497, in run_test_ops
           self.run_operations(sessions, collection, test['operations'])
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\test\utils_spec_runner.py", line 403, in run_operations
           result = self.run_operation(sessions, collection, op.copy())
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\test\utils_spec_runner.py", line 346, in run_operation
           result = cmd(**dict(arguments))
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\database.py", line 738, in command
           return self._command(sock_info, command, slave_ok, value,
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\database.py", line 626, in _command
           return sock_info.command(
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\pool.py", line 648, in command
           self._raise_connection_failure(error)
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\pool.py", line 633, in command
           return command(self.sock, dbname, spec, slave_ok,
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\network.py", line 105, in command
           spec = orig = client._encrypter.encrypt(
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\encryption.py", line 279, in encrypt
           return encrypt_cmd
         File "C:\python\Python38\lib\contextlib.py", line 131, in __exit__
           self.gen.throw(type, value, traceback)
         File "C:\data\mci\fe049ecd0750267d1e2f01132d826504\src\pymongo\encryption.py", line 79, in _wrap_encryption_errors
           raise EncryptionError(exc)
       pymongo.errors.EncryptionError: Unrecognized field 'jsonSchema'. This command may be meant for a mongocryptd process.
      

      Server version:

      [2020/06/02 06:31:57.907] + ./mongodb/bin/mongod --version
      [2020/06/02 06:31:58.005] db version v4.5.0-1526-gfd3c7e5
      [2020/06/02 06:31:58.005] Build Info: {
      [2020/06/02 06:31:58.005]     "version": "4.5.0-1526-gfd3c7e5",
      [2020/06/02 06:31:58.005]     "gitVersion": "fd3c7e5c73a1148f8e7599a8cf238698f0f3f4c6",
      [2020/06/02 06:31:58.005]     "modules": [
      [2020/06/02 06:31:58.005]         "enterprise"
      [2020/06/02 06:31:58.005]     ],
      [2020/06/02 06:31:58.005]     "allocator": "tcmalloc",
      [2020/06/02 06:31:58.005]     "environment": {
      [2020/06/02 06:31:58.005]         "distmod": "windows",
      [2020/06/02 06:31:58.005]         "distarch": "x86_64",
      [2020/06/02 06:31:58.005]         "target_arch": "x86_64"
      [2020/06/02 06:31:58.005]     }
      [2020/06/02 06:31:58.005] }
      

      https://evergreen.mongodb.com/build/mongo_python_driver_tests_windows_encryption__platform~windows_64_vsMulti_small_auth_ssl~noauth_nossl_python_version_windows~3.8_encryption~encryption_29960237dcdd9d90402d6c76c4296aec3d01d3fc_20_05_27_22_07_31

            Assignee:
            Unassigned Unassigned
            Reporter:
            shane.harvey@mongodb.com Shane Harvey
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Created:
              Updated:
              Resolved:

                Error rendering 'slack.nextup.jira:slack-integration-plus'. Please contact your Jira administrators.